## Apache Zeta Components Manual :: Docs For Class ezcFeedException

### Feed::ezcFeedException

### Class ezcFeedException

The general exception class used as base class for the Feed exception classes.

Source for this file: /Feed/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcFeedException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcFeedUnsupportedModuleException | Thrown when an unsupported module is created.
ezcFeedParseErrorException | Thrown when a feed can not be parsed at all.
ezcFeedOnlyOneValueAllowedException | Thrown when some elements value is not a single value but an array.
ezcFeedUnsupportedElementException | Thrown when an unsupported feed element is created.
ezcFeedAtLeastOneItemDataRequiredException | Thrown when at least one of the required attributes is missing for a feed item.
ezcFeedUndefinedModuleException | Thrown when trying to get information from a module which is not defined yet.
ezcFeedUnsupportedTypeException | Thrown when an unsupported feed is created.
ezcFeedRequiredMetaDataMissingException | Thrown when some data is missing for a channel.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3